% Plot for P1 P2 and GA1
function figures=fplotppg(dt,lr1,disr1,chr1,curr1,lb1,disb1,chb1,curb1,li1,...
    disi1,chi1,curi1,Lg1,lr2,disr2,chr2,curr2,lb2,disb2,chb2,curb2,li2,disi2,chi2,curi2,Lg2,...
    lrg1,disrg1,chrg1,currg1,lbg1,disbg1,chbg1,curbg1,lig1,disig1,chig1,curig1,Lgg1)


close all

%% Load schedule
figure
hold on
box on
grid on
num=size(Lg1,2);
t=1:dt:(num-1)*dt+1;

sizet=size(t,2)*2;

tre=zeros(1,sizet);

%% P1 init
lr1re=zeros(3,sizet);
disr1re=zeros(3,sizet);
chr1re=zeros(3,sizet);
curr1re=zeros(3,sizet);

lb1re=zeros(2,sizet);
disb1re=zeros(2,sizet);
chb1re=zeros(2,sizet);
curb1re=zeros(2,sizet);

li1re=zeros(2,sizet);
disi1re=zeros(2,sizet);
chi1re=zeros(2,sizet);
curi1re=zeros(2,sizet);

%% P2 init
lr2re=zeros(3,sizet);
disr2re=zeros(3,sizet);
chr2re=zeros(3,sizet);
curr2re=zeros(3,sizet);

lb2re=zeros(2,sizet);
disb2re=zeros(2,sizet);
chb2re=zeros(2,sizet);
curb2re=zeros(2,sizet);

li2re=zeros(2,sizet);
disi2re=zeros(2,sizet);
chi2re=zeros(2,sizet);
curi2re=zeros(2,sizet);

%% GA1 init
lrg1re=zeros(3,sizet);
disrg1re=zeros(3,sizet);
chrg1re=zeros(3,sizet);
currg1re=zeros(3,sizet);

lbg1re=zeros(2,sizet);
disbg1re=zeros(2,sizet);
chbg1re=zeros(2,sizet);
curbg1re=zeros(2,sizet);

lig1re=zeros(2,sizet);
disig1re=zeros(2,sizet);
chig1re=zeros(2,sizet);
curig1re=zeros(2,sizet);

%% Update variables
for i=1:sizet;
   if mod(i,2)==1
      tre(i)=t((i+1)/2);

   else
       tre(i)=t(i/2)+dt-0.0001;

   end
end
tre=tre-1;


Lg1re=zeros(1,sizet);
for i=1:sizet;
   if mod(i,2)==1
      Lg1re(i)=Lg1((i+1)/2);
   else
       Lg1re(i)=Lg1(i/2);
   end
end

for i=1:3;
    for k=1:sizet;
        if mod(k,2)==1
            lr1re(i,k)=lr1(i,(k+1)/2);
            disr1re(i,k)=disr1(i,(k+1)/2);
            chr1re(i,k)=chr1(i,(k+1)/2);
            curr1re(i,k)=curr1(i,(k+1)/2);
        else
            lr1re(i,k)=lr1(i,k/2);
             disr1re(i)=disr1(i,k/2);
            chr1re(i,k)=chr1(i,k/2);         
            curr1re(i,k)=curr1(i,k/2);
        end 
    end
end

for i=1:2;
    for k=1:sizet;
        if mod(k,2)==1
            lb1re(i,k)=lb1(i,(k+1)/2);
            li1re(i,k)=li1(i,(k+1)/2);
            disb1re(i,k)=disb1(i,(k+1)/2);
            chb1re(i,k)=chb1(i,(k+1)/2);
            curb1re(i,k)=curb1(i,(k+1)/2); 
            disi1re(i,k)=disi1(i,(k+1)/2);
            chi1re(i,k)=chi1(i,(k+1)/2);
            curi1re(i,k)=curi1(i,(k+1)/2);
        else
            lb1re(i,k)=lb1(i,(k)/2);
            li1re(i,k)=li1(i,(k)/2) ;          
            disb1re(i,k)=disb1(i,k/2);
            chb1re(i,k)=chb1(i,k/2);
            curb1re(i,k)=curb1(i,k/2); 
            disi1re(i,k)=disi1(i,k/2);
            chi1re(i,k)=chi1(i,k/2);
            curi1re(i,k)=curi1(i,k/2);
        end 
    end
end

for i=1:2;
    for k=1:sizet;
        if mod(k,2)==1
            lb1re(i,k)=lb1(i,(k+1)/2);
        else
            lb1re(i,k)=lb1(i,k/2);
        end 
    end
end

for i=1:2;
    for k=1:sizet;
        if mod(k,2)==1
            li1re(i,k)=li1(i,(k+1)/2);
        else
            li1re(i,k)=li1(i,k/2);
        end 
    end
end

%% P2

Lg2re=zeros(1,sizet);
for i=1:sizet;
   if mod(i,2)==1
      Lg2re(i)=Lg2((i+1)/2);
   else
       Lg2re(i)=Lg2(i/2);
   end
end

for i=1:3;
    for k=1:sizet;
        if mod(k,2)==1
            lr2re(i,k)=lr2(i,(k+1)/2);
            disr2re(i,k)=disr2(i,(k+1)/2);
            chr2re(i,k)=chr2(i,(k+1)/2);
            curr2re(i,k)=curr2(i,(k+1)/2);
        else
            lr2re(i,k)=lr2(i,k/2);
             disr2re(i)=disr2(i,k/2);
            chr2re(i,k)=chr2(i,k/2);         
            curr2re(i,k)=curr2(i,k/2);
        end 
    end
end

for i=1:2;
    for k=1:sizet;
        if mod(k,2)==1
            lb2re(i,k)=lb2(i,(k+1)/2);
            li2re(i,k)=li2(i,(k+1)/2);
            disb2re(i,k)=disb2(i,(k+1)/2);
            chb2re(i,k)=chb2(i,(k+1)/2);
            curb2re(i,k)=curb2(i,(k+1)/2); 
            disi2re(i,k)=disi2(i,(k+1)/2);
            chi2re(i,k)=chi2(i,(k+1)/2);
            curi2re(i,k)=curi2(i,(k+1)/2);
        else
            lb2re(i,k)=lb2(i,(k)/2);
            li2re(i,k)=li2(i,(k)/2) ;         
            disb2re(i,k)=disb2(i,k/2);
            chb2re(i,k)=chb2(i,k/2);
            curb2re(i,k)=curb2(i,k/2); 
            disi2re(i,k)=disi2(i,k/2);
            chi2re(i,k)=chi2(i,k/2);
            curi2re(i,k)=curi2(i,k/2);
        end 
    end
end

for i=1:2;
    for k=1:sizet;
        if mod(k,2)==1
            lb2re(i,k)=lb2(i,(k+1)/2);
        else
            lb2re(i,k)=lb2(i,k/2);
        end 
    end
end

for i=1:2;
    for k=1:sizet;
        if mod(k,2)==1
            li2re(i,k)=li2(i,(k+1)/2);
        else
            li2re(i,k)=li2(i,k/2);
        end 
    end
end

%% G1

Lgg1re=zeros(1,sizet);
for i=1:sizet;
   if mod(i,2)==1
      Lgg1re(i)=Lgg1((i+1)/2);
   else
       Lgg1re(i)=Lgg1(i/2);
   end
end

for i=1:3;
    for k=1:sizet;
        if mod(k,2)==1
            lrg1re(i,k)=lrg1(i,(k+1)/2);
            disrg1re(i,k)=disrg1(i,(k+1)/2);
            chrg1re(i,k)=chrg1(i,(k+1)/2);
            currg1re(i,k)=currg1(i,(k+1)/2);
        else
            lrg1re(i,k)=lrg1(i,k/2);
             disrg1re(i,k)=disrg1(i,k/2);
            chrg1re(i,k)=chrg1(i,k/2);         
            currg1re(i,k)=currg1(i,k/2);
        end 
    end
end

for i=1:2;
    for k=1:sizet;
        if mod(k,2)==1
            lbg1re(i,k)=lbg1(i,(k+1)/2);
            lig1re(i,k)=lig1(i,(k+1)/2);
            disbg1re(i,k)=disbg1(i,(k+1)/2);
            chbg1re(i,k)=chbg1(i,(k+1)/2);
            curbg1re(i,k)=curbg1(i,(k+1)/2); 
            disig1re(i,k)=disig1(i,(k+1)/2);
            chig1re(i,k)=chig1(i,(k+1)/2);
            curig1re(i,k)=curig1(i,(k+1)/2);
        else
            lbg1re(i,k)=lbg1(i,(k)/2);
            lig1re(i,k)=lig1(i,(k)/2) ;          
            disbg1re(i,k)=disbg1(i,k/2);
            chbg1re(i,k)=chbg1(i,k/2);
            curbg1re(i,k)=curbg1(i,k/2); 
            disig1re(i,k)=disig1(i,k/2);
            chig1re(i,k)=chig1(i,k/2);
            curig1re(i,k)=curig1(i,k/2);
        end 
    end
end

for i=1:2;
    for k=1:sizet;
        if mod(k,2)==1
            lbg1re(i,k)=lbg1(i,(k+1)/2);
        else
            lbg1re(i,k)=lbg1(i,k/2);
        end 
    end
end

for i=1:2;
    for k=1:sizet;
        if mod(k,2)==1
            lig1re(i,k)=lig1(i,(k+1)/2);
        else
            lig1re(i,k)=lig1(i,k/2);
        end 
    end
end

% 
% %% Total load
% % pt=plot(t,Lg,'-p');
% ptp1=plot(tre,Lg1re,'-p');
% ptp2=plot(tre,Lg2re,'-.p');
% ptg1=plot(tre,Lgg1re,':p');
% 
% prp1=plot(tre,50.*sum(lr1re,1),'-+');
% prp2=plot(tre,50.*sum(lr2re,1),'-.+');
% prg1=plot(tre,50.*sum(lrg1re,1),':+');
% 
% pbp1=plot(tre,sum(lb1re,1),'-o');
% pbp2=plot(tre,sum(lb2re,1),'-.o');
% pbg1=plot(tre,sum(lbg1re,1),':o');
% 
% pip1=plot(tre,sum(li1re,1),'-s');
% pip2=plot(tre,sum(li2re,1),'-.s');
% pig1=plot(tre,sum(lig1re,1),':s');
% 
% set(gca,'FontName','Arial');
% set(gca,'FontSize',14);
% 
% set(ptp1,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(ptp2,'Color',[0.4,0.4,0.4],'MarkerSize',6,'LineWidth',2);
% set(ptg1,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% 
% set(prp1,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(prp2,'Color',[0.4,0.4,0.4],'MarkerSize',6,'LineWidth',2);
% set(prg1,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% 
% set(pbp1,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(pbp2,'Color',[0.4,0.4,0.4],'MarkerSize',6,'LineWidth',2);
% set(pbg1,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% 
% set(pip1,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(pip2,'Color',[0.4,0.4,0.4],'MarkerSize',6,'LineWidth',2);
% set(pig1,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% 
% % title('Load schedule');
% 
% legend('P1: total load','P2: total load','GA#1: total load','P1: total residential load',...
%     'P2: total residential load','GA#1: total residential load','P1: total business load',...
%     'P2: total business load','GA#1: total business load','P1: total industrial load','P2: total industrial load','GA#1: total industrial load',-1);
% xlabel('Time of a day.');
% ylabel('Power usage (kWh).');
% axis([0,24,-20,680]);
% 
% %% Load for each types of customer
% % Residential
% figure
% hold on
% box on 
% grid on
% pr11=plot(tre,50.*lr1re(1,:),'-+');
% pr21=plot(tre,50.*lr2re(1,:),'-.o');
% prg11=plot(tre,50.*lrg1re(1,:),':s');
% 
% pr12=plot(tre,50.*lr1re(2,:),'-+');
% pr22=plot(tre,50.*lr2re(2,:),'-.o');
% prg12=plot(tre,50.*lrg1re(2,:),':s');
% 
% pr13=plot(tre,50.*lr1re(3,:),'-+');
% pr23=plot(tre,50.*lr2re(3,:),'-.o');
% prg13=plot(tre,50.*lrg1re(3,:),':s');
% 
% 
% 
% set(gca,'FontName','Arial');
% set(gca,'FontSize',14);
% % set(pt,'Color',[0,0,0],'MarkerSize',10,'LineWidth',2);
% set(pr11,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(pr12,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(pr13,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% 
% set(pr21,'Color',[0.4,0.4,0.4],'MarkerSize',6,'LineWidth',2);
% set(pr22,'Color',[0.4,0.4,0.4],'MarkerSize',6,'LineWidth',2);
% set(pr23,'Color',[0.4,0.4,0.4],'MarkerSize',6,'LineWidth',2);
% 
% set(prg11,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% set(prg12,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% set(prg13,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% 
% legend('P1: residential  #1','P2: residential  #1', 'GA#1: residential  #1',...
%    'P1: residential  #2','P2: residential  #2', 'GA#1: residential  #2',...
%    'P1: residential  #3','P2: residential  #3', 'GA#1: residential  #3',-1);
% xlabel('Time of a day.');
% ylabel('Power usage (kWh).');
% axis([0,24,-40,200]);
% 
% %% Business
% figure
% hold on
% box on 
% grid on
% pb11=plot(tre,lb1re(1,:),'-+');
% pb21=plot(tre,lb2re(1,:),'-.o');
% pbg11=plot(tre,lbg1re(1,:),':s');
% 
% pb12=plot(tre,lb1re(2,:),'-+');
% pb22=plot(tre,lb2re(2,:),'-.o');
% pbg12=plot(tre,lbg1re(2,:),':s');
% 
% % pb13=plot(tre,50.*lb1re(3,:),'-+');
% % pb23=plot(tre,50.*lb2re(3,:),'-.o');
% % pbg13=plot(tre,50.*lg1re(3,:),':s');
% 
% 
% 
% set(gca,'FontName','Arial');
% set(gca,'FontSize',14);
% % set(pt,'Color',[0,0,0],'MarkerSize',10,'LineWidth',2);
% set(pb11,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(pb12,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% % set(pb13,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% 
% set(pb21,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(pb22,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% % set(pb23,'Color',[0.4,0.4,0.4],'MarkerSize',6,'LineWidth',2);
% 
% set(pbg11,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(pbg12,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% % set(pbg13,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% 
% legend('P1: business  #1','P2: business  #1', 'GA#1: business  #1',...
%    'P1: business  #2','P2: business  #2', 'GA#1: business  #2',-1);
% xlabel('Time of a day.');
% ylabel('Power usage (kWh).');
% axis([0,24,0,250]);
% 
% %% Industrial
% figure
% hold on
% box on 
% grid on
% pi11=plot(tre,li1re(1,:),'-+');
% pi21=plot(tre,li2re(1,:),'-.o');
% pig11=plot(tre,lig1re(1,:),':s');
% 
% pi12=plot(tre,li1re(2,:),'-+');
% pi22=plot(tre,li2re(2,:),'-.o');
% pig12=plot(tre,lig1re(2,:),':s');
% 
% % pb13=plot(tre,50.*lb1re(3,:),'-+');
% % pb23=plot(tre,50.*lb2re(3,:),'-.o');
% % pbg13=plot(tre,50.*lg1re(3,:),':s');
% 
% 
% 
% set(gca,'FontName','Arial');
% set(gca,'FontSize',14);
% % set(pt,'Color',[0,0,0],'MarkerSize',10,'LineWidth',2);
% set(pi11,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(pi12,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% % set(pb13,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% 
% set(pi21,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(pi22,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% % set(pb23,'Color',[0.4,0.4,0.4],'MarkerSize',6,'LineWidth',2);
% 
% set(pig11,'Color',[0.6,0.6,0.6],'MarkerSize',6,'LineWidth',2);
% set(pig12,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% % set(pbg13,'Color',[0.2,0.2,0.2],'MarkerSize',6,'LineWidth',2);
% 
% legend('P1: industrial  #1','P2: industrial  #1', 'GA#1: industrial  #1',...
%    'P1: industrial  #2','P2: industrial  #2', 'GA#1: industrial  #2',-1);
% xlabel('Time of a day.');
% ylabel('Power usage (kWh).');
% axis([0,24,0,220]);
% 

%% Storage unit 
% residential
figure
hold on
box on
grid on

prt1=plot(tre,currg1re(1,:),'-+');
prc1=plot(tre,chrg1re(1,:)-disrg1re(1,:),'-^');

prt2=plot(tre,currg1re(2,:),'-.+');
prc2=plot(tre,chrg1re(2,:)-disrg1re(2,:),'-.^');

prt3=plot(tre,currg1re(3,:),':+');
prc3=plot(tre,chrg1re(3,:)-disrg1re(3,:),':^');

set(gca,'FontName','Arial');
set(gca,'FontSize',14);

% set(pt,'Color',[0,0,0],'MarkerSize',10,'LineWidth',2);
set(prt1,'Color',[0.,0.,0.],'MarkerSize',10,'LineWidth',2);
set(prc1,'Color',[0.,0.,0.],'MarkerSize',10,'LineWidth',2);
set(prt2,'Color',[0.3,0.3,0.3],'MarkerSize',10,'LineWidth',2);
set(prc2,'Color',[0.3,0.3,0.3],'MarkerSize',10,'LineWidth',2);
set(prt3,'Color',[0.5,0.5,0.5],'MarkerSize',10,'LineWidth',2);
set(prc3,'Color',[0.5,0.5,0.5],'MarkerSize',10,'LineWidth',2);

% set(p3,'Color',[0.6,0.6,0.6],'MarkerSize',10,'LineWidth',2);

% title('Storage unit for residential user');

legend('Residential #1 current storage','Residential #1 charging status',...
    'Residential #2 current storage','Residential #2 charging status',...
    'Residential #3 current storage','Residential #3 charging status',1);
xlabel('Time of a day.');
ylabel('Power usage (kWh).');
axis([0,24,-2,8]);


% business
figure
hold on
box on
grid on

pbt1=plot(tre,curbg1re(1,:),'-o');
pbc1=plot(tre,chbg1re(1,:)-disbg1re(1,:),'-^');

pbt2=plot(tre,curbg1re(2,:),'-.o');
pbc2=plot(tre,chbg1re(2,:)-disbg1re(2,:),'-.^');

set(gca,'FontName','Arial');
set(gca,'FontSize',14);

% set(pt,'Color',[0,0,0],'MarkerSize',10,'LineWidth',2);
set(pbt1,'Color',[0.,0.,0.],'MarkerSize',10,'LineWidth',2);
set(pbc1,'Color',[0.,0.,0.],'MarkerSize',10,'LineWidth',2);
set(pbt2,'Color',[0.3,0.3,0.3],'MarkerSize',10,'LineWidth',2);
set(pbc2,'Color',[0.3,0.3,0.3],'MarkerSize',10,'LineWidth',2);

% set(p3,'Color',[0.6,0.6,0.6],'MarkerSize',10,'LineWidth',2);

legend('Business #1 current storage','Business #1 charging status','Business #2 current storage','Business #2 charging status',2);
xlabel('Time of a day.');
ylabel('Power usage (kWh).');
axis([0,24,-100,500]);
% 

% Industrial
figure
hold on
box on
grid on

pit1=plot(tre,curig1re(1,:),'-s');
pic1=plot(tre,chig1re(1,:)-disig1re(1,:),'-^');

pit2=plot(tre,curig1re(2,:),'-.s');
pic2=plot(tre,chig1re(2,:)-disig1re(2,:),'-.^');

set(gca,'FontName','Arial');
set(gca,'FontSize',14);

set(pit1,'Color',[0.,0.,0.],'MarkerSize',10,'LineWidth',2);
set(pic1,'Color',[0.,0.,0.],'MarkerSize',10,'LineWidth',2);
set(pit2,'Color',[0.3,0.3,0.3],'MarkerSize',10,'LineWidth',2);
set(pic2,'Color',[0.3,0.3,0.3],'MarkerSize',10,'LineWidth',2);

% title('Storage unit for industrial user');

legend('Industrial #1 current storage','Industrial #1 charging status','Industrial #2 current storage','Industrial #2 charging status',2);
xlabel('Time of a day.');
ylabel('Power usage (kWh).');
axis([0,24,-100,500]);

figures=1;

